<h4><%= Tools::Document.model_name.human.pluralize %></h4>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th>Name</th>
      <th>Preview</th>
      <th>Description</th>
      <th colspan="4"></th>
    </tr>
  </thead>

  <tbody>
    <% show_doc = true %>
    <% last_tr = -1 %>
    <% @tools_documents.each do |tools_document| %>
      <% if tools_document.tool_reference != last_tr %>
        </tbody>
        <tbody  class="tablesorter-no-sort">
          <tr><th colspan="7" class='task-block-line'><%= Tools::DocumentPresenter.new(tools_document).show_document_step_role %></th></tr>
        </tbody>
        <tbody>
      <% end %>
      <% last_tr = tools_document.tool_reference %>
      <tr>
        <td><%= tools_document.name %></td>
        <td>
          <% aff, show_doc = file_preview(tools_document.file) %>
          <%= aff.html_safe %>
        </td>
        <td>
          <%= tools_document.description %>
        </td>
        <% if tools_document.file.attached? %>
          <td><%= link_to fa_icon('eye', type: :regular, class: "icon-blue"), url_for(tools_document.file) if show_doc %></td>
          <td><%= link_to fa_icon('download', class: "icon-blue"), rails_blob_path(tools_document.file, disposition: "attachment") %></td>
        <% else %>
          <td>-</td>
          <td>-</td>
        <% end %>
        <td><%= link_to fa_icon_edit, edit_tools_document_path(tools_document) %></td>
        <td><%= link_to fa_icon_delete, tools_document, method: :delete, data: { confirm: t('confirm.sure') } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to t('.new'), new_tools_document_path(tools_document: {rca_id: @rca.id,
                                                                tool_reference: @step_tool.tool_reference,
                                                                tool_num: @step_tool.tool_num}),
                       class: 'btn btn-outline-warning' %>
